* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/ots-python/, dev-python/ots-python/files/
@ 2021-06-19 21:53 Alessandro Barbieri
0 siblings, 0 replies; only message in thread
From: Alessandro Barbieri @ 2021-06-19 21:53 UTC (permalink / raw
To: gentoo-commits
commit: 01497dc698cf49d2169d2bddc94539581b83e1a7
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sat Jun 19 18:36:08 2021 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sat Jun 19 21:53:04 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=01497dc6
dev-python/ots-python: initial import
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
dev-python/ots-python/Manifest | 1 +
.../files/ots-python-8.1.4-ots-sanitize.patch | 21 +++++++++++++++++
dev-python/ots-python/metadata.xml | 5 ++++
dev-python/ots-python/ots-python-8.1.4.ebuild | 27 ++++++++++++++++++++++
4 files changed, 54 insertions(+)
diff --git a/dev-python/ots-python/Manifest b/dev-python/ots-python/Manifest
new file mode 100644
index 000000000..a2e7dd576
--- /dev/null
+++ b/dev-python/ots-python/Manifest
@@ -0,0 +1 @@
+DIST ots-python-8.1.4.tar.gz 10830 BLAKE2B f75e4e71c942a2214d9995184dd70505800a9a58d6238fc2321afde0efe17ee4e24906edb01f0690e12e245c5316f80fb313ae416d8a64e30c23c239c9929409 SHA512 466efae7d40dc24e0af22cb29d03d7c8bb5beb592c65c36a8e2d1678c141dd9b591184cbc01bc4879705a99cbf13e61c35bb51e878fdf866e82f82cbed75099d
diff --git a/dev-python/ots-python/files/ots-python-8.1.4-ots-sanitize.patch b/dev-python/ots-python/files/ots-python-8.1.4-ots-sanitize.patch
new file mode 100644
index 000000000..5eae00dbd
--- /dev/null
+++ b/dev-python/ots-python/files/ots-python-8.1.4-ots-sanitize.patch
@@ -0,0 +1,21 @@
+--- a/setup.py
++++ b/setup.py
+@@ -236,7 +236,6 @@
+ platforms=["posix", "nt"],
+ package_dir={"": "src/python"},
+ packages=find_packages("src/python"),
+- ext_modules=[ots_sanitize],
+ zip_safe=False,
+ cmdclass=cmdclass,
+ setup_requires=["setuptools_scm"],
+--- a/src/python/ots/__init__.py
++++ b/src/python/ots/__init__.py
+@@ -3,7 +3,7 @@
+ import sys
+ import os
+
+-OTS_SANITIZE = os.path.join(os.path.dirname(__file__), "ots-sanitize")
++OTS_SANITIZE = "ots-sanitize"
+
+ __all__ = ["sanitize", "OTSError", "CalledProcessError"]
+
diff --git a/dev-python/ots-python/metadata.xml b/dev-python/ots-python/metadata.xml
new file mode 100644
index 000000000..6f49eba8f
--- /dev/null
+++ b/dev-python/ots-python/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<!-- maintainer-needed -->
+</pkgmetadata>
diff --git a/dev-python/ots-python/ots-python-8.1.4.ebuild b/dev-python/ots-python/ots-python-8.1.4.ebuild
new file mode 100644
index 000000000..42a215919
--- /dev/null
+++ b/dev-python/ots-python/ots-python-8.1.4.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..9} pypy3 )
+
+inherit distutils-r1
+
+SRC_URI="https://github.com/googlefonts/ots-python/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+DESCRIPTION="A Python wrapper for OpenType Sanitizer"
+HOMEPAGE="https://github.com/googlefonts/ots-python"
+LICENSE="BSD"
+SLOT="0"
+
+RDEPEND=">=dev-util/ots-${PV}"
+
+PATCHES=( "${FILESDIR}/${P}-ots-sanitize.patch" )
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ export SETUPTOOLS_SCM_PRETEND_VERSION="${PV/_p/.post}"
+ mkdir -p src/c/ots || die
+ default
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2021-06-19 21:53 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-06-19 21:53 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/ots-python/, dev-python/ots-python/files/ Alessandro Barbieri
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox